#pragma once

#include "CoreMinimal.h"
#include "SourceBasedOutlineUpdateStrategy.h"
#include "OnRevealedDelegate.h"
#include "UObject/NoExportTypes.h"
#include "KillerOutlineUpdateStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UKillerOutlineUpdateStrategy : public USourceBasedOutlineUpdateStrategy
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, BlueprintAssignable)
	FOnRevealedDelegate OnRevealed;

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor _revealedColor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FLinearColor _revealedColorForKiller;

private:
	UFUNCTION(BlueprintCallable)
	void OnLevelReadyToPlay();

public:
	UKillerOutlineUpdateStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UKillerOutlineUpdateStrategy) { return 0; }
